Package com.arms.api.blog.controller

## Class BlogController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<BlogService,​BlogDTO,​BlogEntity>
  - - com.arms.api.blog.controller.BlogController

-     @Controller
      @RestController
      @RequestMapping("/anonymous/arms/blog")
      public class BlogController
      extends TreeAbstractController<BlogService,​BlogDTO,​BlogEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlogController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<BlogEntity>` | `addBlog​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<BlogDTO>` | `getBlog​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<java.lang.String>>` | `getHotKeywordList()` |
    `org.springframework.http.ResponseEntity<java.util.List<BlogEntity>>` | `getLatestBlogList​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<java.util.Map<java.lang.String,​java.lang.Object>>` | `getPaginatedBlogList​(BlogDTO blogDTO, int pageIndex, int pageUnit)` |
    `org.springframework.http.ResponseEntity<java.util.List<BlogDTO>>` | `getPopularBlogList​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<BlogEntity>>` | `getRecommendedBlogList​(BlogDTO blogDTO)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<java.lang.Integer>` | `removeBlog​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<BlogVO>` | `searchBlogList​(BlogDTO blogDTO)` |
    `org.springframework.http.ResponseEntity<BlogEntity>` | `updateBlog​(BlogDTO blogDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlogController

          public BlogController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getBlog

          @GetMapping("/getBlog.do")
          public org.springframework.http.ResponseEntity<BlogDTO> getBlog​(BlogDTO blogDTO)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addBlog

          @PostMapping("/addBlog.do")
          public org.springframework.http.ResponseEntity<BlogEntity> addBlog​(@RequestBody
                                                                             BlogDTO blogDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateBlog

          @PutMapping("/updateBlog.do")
          public org.springframework.http.ResponseEntity<BlogEntity> updateBlog​(@RequestBody
                                                                                BlogDTO blogDTO)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeBlog

          @DeleteMapping("/removeBlog.do")
          public org.springframework.http.ResponseEntity<java.lang.Integer> removeBlog​(BlogDTO blogDTO)
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getLatestBlogList

          @GetMapping("/latest/getBlogList.do")
          public org.springframework.http.ResponseEntity<java.util.List<BlogEntity>> getLatestBlogList​(BlogDTO blogDTO)
                                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPopularBlogList

          @GetMapping("/popular/getBlogList.do")
          public org.springframework.http.ResponseEntity<java.util.List<BlogDTO>> getPopularBlogList​(BlogDTO blogDTO)
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRecommendedBlogList

          @GetMapping("/recommended/getBlogList.do")
          public org.springframework.http.ResponseEntity<java.util.List<BlogEntity>> getRecommendedBlogList​(BlogDTO blogDTO)
                                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaginatedBlogList

          @GetMapping("/getPaginatedBlogList.do")
          public org.springframework.http.ResponseEntity<java.util.Map<java.lang.String,​java.lang.Object>> getPaginatedBlogList​(BlogDTO blogDTO,
                                                                                                                                      @RequestParam(defaultValue="1")
                                                                                                                                      int pageIndex,
                                                                                                                                      @RequestParam(defaultValue="5")
                                                                                                                                      int pageUnit)
                                                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getHotKeywordList

          @GetMapping("/hot/getKeywordList.do")
          public org.springframework.http.ResponseEntity<java.util.List<java.lang.String>> getHotKeywordList()
                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### searchBlogList

          @GetMapping("/searchBlogList.do")
          public org.springframework.http.ResponseEntity<BlogVO> searchBlogList​(BlogDTO blogDTO)
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`